Allowing user accounts without password and disallowing login
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Wont fix

Description
Upon user account creation, the user password is mandatory.

| would like to display users, but prohibit login. Thus user account locking is not a solution here.
One workaround is to set a complex random password and avoid sending it to the user.

Is it feasible to add a checkbox (say under the password input field) to bypass the password length test, and as a result get a
(somewhat) regular account unable to login ?

History

#1 - 2011-04-21 15:36 - Etienne Massip

- Category set to Accounts / authentication
| don't see such a change to be integrated into Redmine one day, what do you mean by "display users" ?
#2 - 2011-04-21 15:50 - Laurent Gautrot

"display users" means | would like them to appear as regular users. But | don't want them to be able to login.

In fact, | don't want to bother with password generation, and | wouldn't provide users with trivial password, especially at setup time when | might
bulk-create dozens of accounts.

The behaviour I'd like to have is somewhat the same as account expiration or password expiration in UNIX systems.

| guess it would be easy to set the password to NULL, and as a result, user accounts would still exist but would remain unusable until a password
change/reset by an admin.

#3 - 2011-04-21 19:33 - Etienne Massip
Laurent Gautrot wrote:

"display users" means | would like them to appear as regular users. But | don't want them to be able to login.

What for ?

#4 - 2011-04-22 08:02 - Laurent Gautrot

At first, | want users to appear because they are related to at least one project. If | need to get info at a glance about a project, | would like to see the
list of users and their role.

Only when needed, | would setup their password and allow connection.
#5 - 2011-04-22 10:46 - Dmitry Babenko
Laurent Gautrot wrote:
At first, | want users to appear because they are related to at least one project. If | need to get info at a glance about a project, | would like to see

the list of users and their role.

May be it would be enough for you to list that users in project description or create a custom field called "Users" for the project. And create accounts
only when they really needed.
#6 - 2024-01-31 06:34 - Go MAEDA

- Resolution set to Wont fix

Please set a random password for users.
Laurent Gautrot wrote in #note-2:

In fact, | don't want to bother with password generation, and | wouldn't provide users with trivial password, especially at setup time when | might
bulk-create dozens of accounts.

You can easily set a random password by checking "Generate password" checkbox when you create a new user.

#7 - 2024-01-31 06:34 - Go MAEDA

- Status changed from New to Closed
